import 'package:flutter/material.dart';
import 'package:prosappco/src/components/pop_appbar.dart';
import 'package:prosappco/src/components/primary_btn.dart';

class RequestSentScreen extends StatelessWidget {
  const RequestSentScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        appBar: PopAppbar(
          onPressed: () {
            Navigator.pushReplacementNamed(context, '/servicio');
          },
          label: 'Solicitud enviada',
        ),
        body: Center(
          child: Column(
            children: [
              const Padding(
                padding: EdgeInsets.only(top: 90, bottom: 40),
                child: Icon(
                  Icons.check_circle_outline,
                  size: 50,
                  color: Color(0xFF35A8ED),
                ),
              ),
              const Padding(
                padding: EdgeInsets.only(bottom: 0),
                child: Text('Información enviada con éxito.',
                    style: TextStyle(color: Color(0xFF2BA4EC), fontSize: 20)),
              ),
              Container(
                margin: const EdgeInsets.only(
                    left: 40, right: 40, top: 50, bottom: 180),
                padding:
                    const EdgeInsets.symmetric(horizontal: 20, vertical: 15),
                decoration: BoxDecoration(
                  color: const Color(0xFFD6F4FF),
                  borderRadius: BorderRadius.circular(20),
                  boxShadow: [
                    BoxShadow(
                      color: Colors.grey.withOpacity(0.5),
                      spreadRadius: 1,
                      blurRadius: 5,
                      offset: const Offset(1, 3),
                    ),
                  ],
                ),
                child: const SizedBox(
                  width: 350,
                  child: Row(
                    children: [
                      Expanded(
                        child: Text(
                          "¡Gracias por proporcionar tu información! Revisaremos los datos proporcionados y, una vez confirmados, podrás convertirte en un profesional registrado en nuestra aplicación. ¡Esperamos contar contigo pronto!",
                          style: TextStyle(color: Colors.black, fontSize: 14),
                        ),
                      )
                    ],
                  ),
                ),
              ),
              PrimaryButtom(
                  onPressed: () {
                    Navigator.pushReplacementNamed(context, '/servicio');
                  },
                  label: 'Inicio'),
            ],
          ),
        ),
      ),
    );
  }
}
